Name:          dash
Version:       0.5.11.5
Release:       1mamba
Summary:       A lightweight POSIX-compliant implementation of /bin/sh
Group:         Applications/Shells
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://gondor.apana.org.au/~herbert/dash/
Source:        http://gondor.apana.org.au/~herbert/dash/files/dash-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      /bin/sh

%description
DASH is a POSIX-compliant implementation of /bin/sh that aims to be as small as possible.
It does this without sacrificing speed where possible.
In fact, it is significantly faster than bash (the GNU Bourne-Again SHell) for most tasks. 

%prep
%setup -q

%build
%configure --bindir=/bin
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

ln -s dash.1 %{buildroot}%{_mandir}/man1/sh.1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /bin/dash
if [ $1 -ge 1 ]; then
   sh=`readlink /bin/sh`
   [ "$sh" != "/etc/alternatives/sh" -o ! -L /bin/sh ] && ln -sf dash /bin/sh
   /usr/sbin/update-alternatives \
      --install /bin/sh sh /bin/dash 10
fi
exit 0

%postun
if [ $1 -eq 0 ]; then
   # remove legacy alternatives /usr/bin/ld
   /usr/sbin/update-alternatives --remove sh /bin/dash 2>/dev/null
fi
exit 0

%posttrans -p /bin/dash
[ -e /bin/sh ] || ln -s /etc/alternatives/sh /bin/sh
exit 0

%files
%defattr(-,root,root)
/bin/dash
%{_mandir}/man1/dash.*
%{_mandir}/man1/sh.*
%doc COPYING
#ChangeLog

%changelog
* Sat Sep 04 2021 Automatic Build System <autodist@mambasoft.it> 0.5.11.5-1mamba
- automatic version update by autodist

* Fri Jun 04 2021 Automatic Build System <autodist@mambasoft.it> 0.5.11.4-1mamba
- automatic version update by autodist

* Thu Jan 21 2021 Automatic Build System <autodist@mambasoft.it> 0.5.11.3-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 0.5.11.2-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Automatic Build System <autodist@mambasoft.it> 0.5.11.1-1mamba
- automatic version update by autodist

* Sun Jun 21 2020 Automatic Build System <autodist@mambasoft.it> 0.5.11-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 0.5.10.2-1mamba
- automatic version update by autodist

* Sat Oct 29 2016 Automatic Build System <autodist@mambasoft.it> 0.5.9.1-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Automatic Build System <autodist@mambasoft.it> 0.5.9-1mamba
- automatic update by autodist

* Sun Oct 05 2014 Automatic Build System <autodist@mambasoft.it> 0.5.8-1mamba
- automatic update by autodist

* Tue Oct 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.7-4mamba
- run scripts with /bin/dash to avoid damage due to /bin/sh disappearing

* Tue Oct 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.7-3mamba
- configure /bin/sh as an alternative

* Mon Sep 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.7-2mamba
- provide /bin/sh symlink replacing bash as default sh interpreter

* Sat Jul 23 2011 Automatic Build System <autodist@mambasoft.it> 0.5.7-1mamba
- automatic update to 3.0.3.0 by autodist

* Wed Feb 02 2011 Automatic Build System <autodist@mambasoft.it> 0.5.6.1-1mamba
- automatic update by autodist

* Fri Jan 21 2011 Davide Madrisan <davide.madrisan@gmail.com> 0.5.6-1mamba
- update to 0.5.6

* Mon Nov 17 2008 Aleph0 <aleph0@openmamba.org> 0.5.4-1mamba
- package created by autospec
